Retrieve Agent Patterns in a Project
/ic/api/integration/v1/projects/{projectId}/ai/patterns
Request
-
projectId(required): string
Project identifier
-
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
-
limit: integer(int32)
Use with the offset parameter for paginating through the returned results. The limit is the maximum number of items to return at one time. For example, offset=3&limit=16 indicates to list Agent Patterns starting at the 4th item, and the list will contain 16 items.
-
offset: integer(int32)
Use with the limit parameter for paginating through the returned results. The offset is the starting point from which to return records. For example, offset=3&limit=16 indicates to list Agent Patterns starting at the 4th item, and the list will contain 16 items.
-
orderBy: string
Lists Agent Patterns ordered by name, last updated time.
Valid values:
- name: Order Agent Patterns by name. Example: orderBy=name.
- time: Order Agent Patterns by the last updated time. Example: orderBy=time.
-
q: string
Filters Agent Patterns by name.
Valid parameters:
- name: Name of the Agent Pattern. For example:
- To retrieve all Agent Patterns that contain the specified string in the name, specify:
q={name: /ORDER/}
- To retrieve all Agent Patterns that contain the specified string in the name, specify:
- name: Name of the Agent Pattern. For example:
There's no request body for this operation.
Back to TopResponse
- application/json;charset=utf-8, application/vnd.oracle.model+json;type=collection
200 Response
object-
hasMore: boolean
Flag to Check if More Records Exists
-
items: array
items
List of patterns
-
limit: integer
(int32)
Limit of Records to be Displayed
-
projectId: string
-
totalResults: integer
(int32)
Total Results
object-
code: string
Code
-
created: string
(date-time)
Created Date
-
createdBy: string
Created By
-
createdDate: string
(date-time)
Created Date
-
dependencies: object
PatternDependencies
-
description: string
Pattern Description
-
guidelines: string
-
id: string
Pattern id
-
lastUpdated: string
(date-time)
Last Updated
-
lastUpdatedBy: string
Last Updated By
-
lockedBy: string
Locked By
-
lockedDate: string
(date-time)
Locked Date
-
lockedFlag: boolean
Locked Flag
-
maxIteration: integer
(int32)
-
name: string
Pattern Name
-
patternRoles: array
patternRoles
Pattern Roles
-
projectId: string
Automation id
-
recipeSource: string
Allowed Values:
[ "System", "Store" ]Source of the recipe.Example:System -
status: string
Pattern Status
-
updateBy: string
Updated By
-
updatedDate: string
(date-time)
Updated Date
-
usageCount: integer
(int32)
Usage Count
-
version: string
Version
object-
code: string
Integration Code
-
name: string
Integration Name
-
status: string
Integration Status
-
type: string
Integration Type
-
version: string
Integration Version
400 Response
500 Response
Examples
The following example shows how to retrieve all agent patterns defined in a project by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Retrieve all agent patterns in project TEST_PROJECT
This command retrieves all agent patterns defined in the specified project.
curl -X GET -H 'Authorization: Bearer access_token' https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/projects/TEST_PROJECT/ai/patterns?integrationInstance=service-instance
Example: Retrieve agent patterns filtered by name
This command retrieves all agent patterns whose name contains
ORDER.The results are sorted by name and limited to 10
records.
curl -X GET -H 'Authorization: Bearer access_token' https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/projects/TEST_PROJECT/ai/patterns?q={name:/ORDER/}&orderBy=name&offset=0&limit=10&integrationInstance=service-instance